com.creamtec.ajaxswing.rendering.html

## Class HTMLClientAgent

- java.lang.Object
- - com.creamtec.ajaxswing.core.ClientAgent
  - - com.creamtec.ajaxswing.rendering.html.HTMLClientAgent

- All Implemented Interfaces:
    ClientAgentRemote, java.rmi.Remote
  Direct Known Subclasses:
    ServletHelper.InProcessClientAgent

      public class HTMLClientAgent
      extends ClientAgent

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.creamtec.ajaxswing.core.ClientAgent

      `ClientAgent.InitLock, ClientAgent.OperationLock, ClientAgent.RequestLock`

  - ### Field Summary

    - ### Fields inherited from class com.creamtec.ajaxswing.core.ClientAgent

      `commonClassLoader, shuttingDown`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTMLClientAgent(java.lang.String agentName, java.lang.String appName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDirtyComponentStates(AjaxResponse ajaxResponse)`
    `void` | `ping()` Renews a lease on the agent.
    `HttpResponseData` | `processHttpRequest(HttpRequestData requestData)` Processes HTTP request, as received by the servlet.
    `HttpResponseData` | `renderWindows(HttpRequestData data)` Renders the current window on EventDispatch thread
    `void` | `renderWindowsOrRedirect(HttpRequestData requestData)`
    `void` | `setShouldChangeSessionId(boolean shouldChangeSessionId)`
    `boolean` | `shouldChangeSessionId()`

    - ### Methods inherited from class com.creamtec.ajaxswing.core.ClientAgent

      `addBlockedThread, addDownloadFileName, addFastSubmitHandler, addKeepAliveEventHandler, addURLParamHandler, allowDownload, allowExit, appendJavaScript, beginOperation, checkAndMonitorAsynchronousUpdates, clearAppendJavaScript, clearUrlForOpenInNewTab, denyDownload, denyDownload, doRun, endOperation, endOperation, exit, getAjaxSwingThreadGroup, getAppendJavaScript, getAppName, getBrowserID, getBrowserLocale, getBrowserVersion, getClassLoader, getClientId, getClipboard, getComponentProperty, getCsrfToken, getCurrentInstance, getDownloadFileNames, getEndOperationOnModalDialog, getEventQueue, getException, getExitPage, getFocusManager, getFontCalibrationData, getHTMLPage, getHTMLPageWait, getInitData, getLastKeepAliveEvent, getMaximumWindowSize, getMenuSelectionManager, getMouseGrabber, getOperationLock, getPageRenderer, getProps, getRepaintManager, getRequestData, getRequestFilter, getRequestId, getResponseData, getSchedulingEventQueue, getSession, getSessionTimeout, getShortFileName, getTempFiles, getTimeZone, getTimeZoneCurrentOffset, getTimeZoneRawOffset, getTimeZoneUseDaylight, getUIManager, getUpdateBrowserInterval, getUrlForOpenInNewTab, getUserLocale, getWindowProperty, getWindowProperty, getWindowsForRendering, getWindowUpdater, init, initProperties, installExitTrap, installGraphicsEnvironmentProperties, installToolkit, isApplet, isBrowserIE, isDownloadAllowed, isFocusChangeAllowed, isGraphicsEnvironmentPropertiesInstalled, isOperationActive, isRequestActive, isRunning, isToolkitInstalled, monitorAsynchronousUpdates, monitorAsynchronousUpdates, openInNewTab, print, removeBlockedThread, removeDownloadFileName, removeFastSubmitHandler, removeKeepAliveEventHandler, removeURLParamHandler, runApp, setAllowExit, setBrowserLocale, setClientSize, setException, setExitPage, setFocusChangeAllowed, setFocusManager, setFontCalibrationData, setHTMLPage, setMouseGrabber, setRequestData, setResponseData, setSessionTimeout, setUpdateBrowser, setUpdateBrowserInterval, setUserLocale, shouldUpdateBrowser, shutdown, waitForBlockedThreads`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HTMLClientAgent

          public HTMLClientAgent(java.lang.String agentName,
                         java.lang.String appName)
                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### processHttpRequest

          public HttpResponseData processHttpRequest(HttpRequestData requestData)
                                              throws java.rmi.RemoteException,
                                                     java.lang.Exception

      Processes HTTP request, as received by the servlet. The general algorithm is to update the currently displayed windows with the received data, emulate the action and render them as an HTML response
      Returns:
        HTTP response, containing HTML page to be displayed
      Throws:
        `java.rmi.RemoteException`
        `java.lang.Exception`

    - #### renderWindowsOrRedirect

          public void renderWindowsOrRedirect(HttpRequestData requestData)
                                       throws java.lang.Exception,
                                              java.rmi.RemoteException

      Throws:
        `java.lang.Exception`
        `java.rmi.RemoteException`

    - #### ping

          public void ping()
                    throws java.rmi.RemoteException,
                           java.lang.Exception

      Renews a lease on the agent. Used to keep warmedUp JVM running
      Throws:
        `java.rmi.RemoteException`
        `java.lang.Exception`

    - #### shouldChangeSessionId

          public boolean shouldChangeSessionId()

    - #### setShouldChangeSessionId

          public void setShouldChangeSessionId(boolean shouldChangeSessionId)

    - #### addDirtyComponentStates

          public void addDirtyComponentStates(AjaxResponse ajaxResponse)
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### renderWindows

          public HttpResponseData renderWindows(HttpRequestData data)
                                         throws java.lang.Exception,
                                                java.rmi.RemoteException

      Renders the current window on EventDispatch thread
      Parameters:
        `data` - request data to be processed
      Returns:
        response data, that is used by the caller
      Throws:
        `java.lang.Exception`
        `java.rmi.RemoteException`

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.